ZITADEL Docs
APIsCore ResourcesV2Application

List Application Keys

Returns a list of application keys matching the input parameters.

The result can be sorted by id, aggregate, creation date, expiration date, resource owner or type. It can also be filtered by application, project or organization ID.

Required permissions:

  • project.app.read
POST
/zitadel.application.v2.ApplicationService/ListApplicationKeys

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/zitadel.application.v2.ApplicationService/ListApplicationKeys" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "keys": [
    {
      "keyId": "string",
      "applicationId": "string",
      "projectId": "string",
      "creationDate": "2023-01-15T01:30:15.01Z",
      "organizationId": "string",
      "expirationDate": "2023-01-15T01:30:15.01Z"
    }
  ],
  "pagination": {
    "totalResult": 0,
    "appliedLimit": 0
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}

Was this page helpful?